﻿
using HeuristicLab.ExperimentGeneration.DataAnalysis.Wizard;
namespace HeuristicLab.ExperimentGeneration.DataAnalysis.ExperimentWizard {
  public class DataAnalysisExperimentWizard {
    private WizardBase wizard;
    private DataAnalysisWizardContext context;

    public DataAnalysisExperimentWizard() {
      context = new DataAnalysisWizardContext();
      wizard = new WizardBase();
      wizard.Text = "Data Analysis Service";
      wizard.AddPage(new ProblemDataPage(context));
      wizard.AddPage(new TargetVariablePage(context));
      wizard.AddPage(new SelectAnalysisPage(context));
      wizard.AddPage(new WizardPage());
      wizard.AddPage(new MediumAnalysisPage(context));
      wizard.AddPage(new ResultPage(context));
      //wizard.AddPage(new ExperimentViewPage(context));

    }

    public void Show() {
      wizard.Show();
    }
  }
}
